C******************** START FILE UPDISP.FOR ; GROUP USPARM ******************
C---------------------------
C&  UPDISP    DISPLAY UREAD STRING PARAMETERS ON TTY
C     (DEBUG-- TEMPORARY SUBROUTINE)
C
      SUBROUTINE UPDISP
C
      USE USERIO
C
      CALL NEUPAG
      WRITE(LUNTRM,2001)
 2001 FORMAT(/'  *** GLOBAL USER PARAMETERS ***'/)
      IF(NPGC.LE.0) GO TO 20
      WRITE(LUNTRM,2002)
 2002 FORMAT('  NAME             TRANSLATION'/
     >         '  ---------------- -------------------------------')
      DO 10 I=1,NPGC
      WRITE(LUNTRM,2003) PGLNAM(I),trim(PGLVAL(I))
 2003 FORMAT(2X,A16,1X,A)
 10   CONTINUE
C
      GO TO 50
C
 20   CONTINUE
      WRITE(LUNTRM,2004)
 2004 FORMAT(' NONE.'/)
C
C
 50   CONTINUE
      INLUN=MAX0(NLUNIN,NLUNIO)
      WRITE(LUNTRM,2005) INLUN
 2005 FORMAT(/'  ***  LOCAL USER PARAMETERS ***     LEVEL = ',I2/)
      ILPC=NPLC(MAX0(NLUNIN,NLUNIO))
      IF(ILPC.LE.0) GO TO 70
C
      WRITE(LUNTRM,2002)
      INLUN=MAX0(NLUNIN,NLUNIO)
      DO 60 I=1,ILPC
      WRITE(LUNTRM,2003) PLCNAM(I,INLUN),PLCVAL(I,INLUN)
 60   CONTINUE
C
      GO TO 100
C
 70   CONTINUE
      WRITE(LUNTRM,2004)
C
 100  CONTINUE
      WRITE(LUNTRM,2009)
 2009 FORMAT(/)
      CALL UPAUST(1)
      RETURN
      	END
C******************** END FILE UPDISP.FOR ; GROUP USPARM ******************
